Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.exec
Class ET_DefaultControlFactory

    java.lang.Object
      com.sun.javatest.exec.ET_DefaultControlFactory

All Implemented Interfaces:
  ET_ControlFactory

    public class ET_DefaultControlFactory

extends java.lang.Object
implements ET_ControlFactory

Default implementation of ET_ControlFactory interface. Subclasses might reuse it overriding necessary methods to provide their own controls.
All createXXX() methods construct new object only when invoked the first time. All consequent calls will return the instances previously created.

Field Summary
`protected ContextManager` | `cm`
`protected ExecModel` | `execModel`
`protected javax.swing.JComponent` | `parent`
`protected Tool` | `tool`
`protected TestSuite` | `ts`
`protected UIFactory` | `uif`

Constructor Summary
`ET_DefaultControlFactory(javax.swing.JComponent parent, UIFactory uif, TestSuite ts, ContextManager cm, ExecModel execModel, Tool tool)` Initializes fields, does not create any instances.

Method Summary
`java.util.List<ET_Control>` | `createCustomControls()` No custom controls by default.
`ET_FilterControl` | `createFilterControl()` Creates a control over filters.
`ET_HelpControl` | `createHelpControl()` Creates a control over help.
`ET_ReportControl` | `createReportControl()` Creates a report controls.
`ET_SessionControl` | `createSessionControl()` Creates a control over session.
`ET_ViewControl` | `createViewControl()` Creates a view controls.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parent

    protected final javax.swing.JComponent parent

### uif

    protected final UIFactory uif

### ts

    protected final TestSuite ts

### cm

    protected final ContextManager cm

### execModel

    protected final ExecModel execModel

### tool

    protected final Tool tool

Constructor Detail

### ET_DefaultControlFactory

    public ET_DefaultControlFactory(javax.swing.JComponent parent,
                                    UIFactory uif,
                                    TestSuite ts,
                                    ContextManager cm,
                                    ExecModel execModel,
                                    Tool tool)

  Initializes fields, does not create any instances.

Method Detail

### createSessionControl

    public ET_SessionControl createSessionControl()
                                           throws Session.Fault

  Description copied from interface: `ET_ControlFactory`
  Creates a control over session.

  Specified by:
    `createSessionControl` in interface `ET_ControlFactory`
  Returns:
    BasicSessionControl instance, unless overriden
  Throws:
    `Session.Fault` - if failed to create session

### createFilterControl

    public ET_FilterControl createFilterControl()

  Description copied from interface: `ET_ControlFactory`
  Creates a control over filters. Due to internal reasons the returned object must be instance of ET_FilterHandler. Sorry for the inconveniences caused.

  Specified by:
    `createFilterControl` in interface `ET_ControlFactory`
  Returns:
    ET_FilterHandler instance, unless overriden

### createHelpControl

    public ET_HelpControl createHelpControl()

  Description copied from interface: `ET_ControlFactory`
  Creates a control over help.

  Specified by:
    `createHelpControl` in interface `ET_ControlFactory`
  Returns:
    ET_DefaultHelpControl instance, unless overriden

### createViewControl

    public ET_ViewControl createViewControl()

  Description copied from interface: `ET_ControlFactory`
  Creates a view controls.

  Specified by:
    `createViewControl` in interface `ET_ControlFactory`
  Returns:
    ET_DefaultViewControl instance, unless overriden

### createReportControl

    public ET_ReportControl createReportControl()

  Description copied from interface: `ET_ControlFactory`
  Creates a report controls.

  Specified by:
    `createReportControl` in interface `ET_ControlFactory`
  Returns:
    ReportHandler instance, unless overriden

### createCustomControls

    public java.util.List<ET_Control> createCustomControls()

  No custom controls by default.

  Specified by:
    `createCustomControls` in interface `ET_ControlFactory`
  Returns:
    null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2011, Oracle and/or its affiliates. All rights reserved.